ru.bitel.bgbilling.modules.bill.common.service

## Interface AttributeService

-     public interface AttributeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Attribute>` | `attributeList(int contractId)` Получить список реквизитов договора.
    `java.util.List<AttributeType>` | `attributeTypeList()` Получение типов реквизитов.
    `void` | `deleteAttribute(int contractId, int attributeId)` Удаление реквизита договора.
    `void` | `deleteAttributeType(int attributeTypeId)` Удаление типа реквизита.
    `void` | `updateAttribute(Attribute attribute)` Обновление(id>0)/создание(id<=0) реквизита договора.
    `void` | `updateAttributeType(AttributeType attributeType)` Обновление(id>0)/создание(id<=0) типа реквизита договора.

- - ### Method Detail

    - #### updateAttributeType

          void updateAttributeType(AttributeType attributeType)
                            throws ru.bitel.bgbilling.common.BGException

      Обновление(id>0)/создание(id<=0) типа реквизита договора.
      Parameters:
        `attributeType` - - тип реквизита.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteAttributeType

          void deleteAttributeType(int attributeTypeId)
                            throws ru.bitel.bgbilling.common.BGException

      Удаление типа реквизита.
      Parameters:
        `attributeTypeId` - - код типа реквизита.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### attributeTypeList

          java.util.List<AttributeType> attributeTypeList()
                                                   throws ru.bitel.bgbilling.common.BGException

      Получение типов реквизитов.
      Returns:
        - список типов реквизитов.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### attributeList

          java.util.List<Attribute> attributeList(int contractId)
                                           throws ru.bitel.bgbilling.common.BGException

      Получить список реквизитов договора.
      Parameters:
        `contractId` - - код договора.
      Returns:
        - список
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateAttribute

          void updateAttribute(Attribute attribute)
                        throws ru.bitel.bgbilling.common.BGException

      Обновление(id>0)/создание(id<=0) реквизита договора.
      Parameters:
        `attribute` - - реквизит.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteAttribute

          void deleteAttribute(int contractId,
                               int attributeId)
                        throws ru.bitel.bgbilling.common.BGException

      Удаление реквизита договора.
      Parameters:
        `contractId` - - код договора.
        `attributeId` - - код реквизита.
      Throws:
        `ru.bitel.bgbilling.common.BGException`